Page MenuHomePhabricator

Wikimedia wikis have empty logs for suppression
Closed, ResolvedPublic

Description

Looking at three WMF wikis (zhWP, enWP and enWS) suppression logs shows them to be empty. They should not be empty. Planting the ticket and will continue investigation.

Matter identified by a zhWP oversighter, so it is not isolated to one person.

This should look to be resolved quickly to at least identify the cause, and if it is a display issue only or whether we have stopped logging.

Event Timeline

Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptFeb 10 2018, 9:34 AM
Billinghurst triaged this task as High priority.Feb 10 2018, 9:48 AM
Billinghurst renamed this task from Wikimedia wikis have emtpy logs for suppression to Wikimedia wikis have empty logs for suppression.Feb 10 2018, 10:10 AM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptFeb 10 2018, 11:21 AM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptFeb 10 2018, 11:22 AM

@Anomie: there is a suggestion that rMW467ee1e82f1526ba4671f52936fd279eb5cda4f6 may be in some way related. Were suppressed logs visible after that alteration? or are you aware of other changes in that space?

@Kbrown to note as it may come up in a forthcoming conversation

Samtar added a subscriber: Samtar.Feb 10 2018, 11:48 AM

Change 409541 had a related patch set uploaded (by Melos; owner: Melos):
[mediawiki/core@master] SpecialLog: Fix results when no offender is specified

https://gerrit.wikimedia.org/r/409541

DoRD added a subscriber: DoRD.Feb 10 2018, 12:08 PM

Change 409541 merged by jenkins-bot:
[mediawiki/core@master] SpecialLog: Fix results when no offender is specified

https://gerrit.wikimedia.org/r/409541

Change 409615 had a related patch set uploaded (by Legoktm; owner: Melos):
[mediawiki/core@wmf/1.31.0-wmf.20] SpecialLog: Fix results when no offender is specified

https://gerrit.wikimedia.org/r/409615

Change 409615 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.20] SpecialLog: Fix results when no offender is specified

https://gerrit.wikimedia.org/r/409615

Mentioned in SAL (#wikimedia-operations) [2018-02-10T16:51:11Z] <legoktm@tin> Synchronized php-1.31.0-wmf.20/includes/specials/SpecialLog.php: SpecialLog: Fix results when no offender is specified - T186950 (duration: 00m 57s)

Legoktm assigned this task to Melos.Feb 10 2018, 4:52 PM
Legoktm edited projects, added MediaWiki-Logging; removed Wikimedia-Site-requests.
Legoktm added a subscriber: Legoktm.

Patch is deployed, could someone please confirm that this is fixed?

Patch is deployed, could someone please confirm that this is fixed?

It seems like it is fixed now.

Legoktm closed this task as Resolved.Feb 10 2018, 5:05 PM

Great! Sorry about the trouble.

Is there the possibility that log entries in the meanwhile have been lost or it was just a visibility issue?

@Jalexander said in IRC that it was only log visibility. :-)

Good. Thanks to all for fixing this so quick :-)

Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Feb 11 2018, 2:17 AM